Update gpg-error.m4 and libgcrypt.m4